HttpMessage::setBody
HttpMessage::setHttpVersion
The HttpMessage class
PHP Manual

# HttpMessage::setHeaders

(PECL pecl_http:0.10.0-1.5.5)

HttpMessage::setHeaders — Set headers

### Description

public void HttpMessage::setHeaders ( array `$headers` )

Sets new headers.

### Parameters

`headers`

  associative array containing the new HTTP headers, which will replace all previous HTTP headers of the message

HttpMessage::setBody
HttpMessage::setHttpVersion
The HttpMessage class
PHP Manual